| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# System::VM_COUNTERS Struct Reference

`#include <ProcessDescriptor.h>`

List of all members.

## Detailed Description

Process Virtual Memory Counters NtQueryInformationProcess using ProcessVmCounters.

Definition at line 60 of file ProcessDescriptor.h.

## Public Attributes
unsigned long | PeakVirtualSize
unsigned long | VirtualSize
unsigned long | PageFaultCount
unsigned long | PeakWorkingSetSize
unsigned long | WorkingSetSize
unsigned long | QuotaPeakPagedPoolUsage
unsigned long | QuotaPagedPoolUsage
unsigned long | QuotaPeakNonPagedPoolUsage
unsigned long | QuotaNonPagedPoolUsage
unsigned long | PagefileUsage
unsigned long | PeakPagefileUsage

## Member Data Documentation

unsigned long System::VM_COUNTERS::PeakVirtualSize

Definition at line 61 of file ProcessDescriptor.h.

Referenced by System::virtualMemoryPeak().

unsigned long System::VM_COUNTERS::VirtualSize

Definition at line 62 of file ProcessDescriptor.h.

Referenced by System::virtualMemory().

unsigned long System::VM_COUNTERS::PageFaultCount

Definition at line 63 of file ProcessDescriptor.h.

Referenced by System::numPageFault().

unsigned long System::VM_COUNTERS::PeakWorkingSetSize

Definition at line 64 of file ProcessDescriptor.h.

Referenced by System::mappedMemoryPeak().

unsigned long System::VM_COUNTERS::WorkingSetSize

Definition at line 65 of file ProcessDescriptor.h.

Referenced by System::mappedMemory().

unsigned long System::VM_COUNTERS::QuotaPeakPagedPoolUsage

Definition at line 66 of file ProcessDescriptor.h.

Referenced by System::pagedMemoryPeak().

unsigned long System::VM_COUNTERS::QuotaPagedPoolUsage

Definition at line 67 of file ProcessDescriptor.h.

Referenced by System::pagedMemory().

unsigned long System::VM_COUNTERS::QuotaPeakNonPagedPoolUsage

Definition at line 68 of file ProcessDescriptor.h.

Referenced by System::nonPagedMemoryPeak().

unsigned long System::VM_COUNTERS::QuotaNonPagedPoolUsage

Definition at line 69 of file ProcessDescriptor.h.

Referenced by System::nonPagedMemory().

unsigned long System::VM_COUNTERS::PagefileUsage

Definition at line 70 of file ProcessDescriptor.h.

Referenced by System::pagefileUsage().

unsigned long System::VM_COUNTERS::PeakPagefileUsage

Definition at line 71 of file ProcessDescriptor.h.

Referenced by System::pagefileUsagePeak().

The documentation for this struct was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/src/Lib/ProcessDescriptor.h